package amo

import (
	"surdeus.su/core/amo/api"
	"surdeus.su/core/amo/leads"
	"surdeus.su/core/amo/companies"
	"surdeus.su/core/amo/contacts"
	"surdeus.su/core/amo/events"
)

type Lead = leads.Lead
type Company = companies.Company
type Contact = contacts.Contact
type Event = events.Event

const (
	// Maximum entities for once.
	// It is set to be the most effective
	// but in fact can be greater.
	MaxEnt = 50
)

type Client struct {
	API *api.Client
}

func NewClient(secretPath string) (*Client, error) {
	apiClient, err := api.NewAPI(secretPath)
	if err != nil {
		return nil, err
	}

	return &Client{
		API: apiClient,
	}, nil
}


